=== debian/changelog ===
nco (4.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Dec 2020 05:43:43 +0100
