## nco 5.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 #-DGSL_LIBRARY:FILE=<some_file>
 #-DGSL_CBLAS_LIBRARY:FILE=<some_file>
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.12)
 project (nco)
 include(CheckFunctionExists)
 include(CheckIncludeFile)
@@ -149,10 +149,11 @@
 #check for header file netcdf_mem.h existence
 #/////////////////////////////////////////////////////////////////////////////////////
 
-set(NETCDF_REQUIRED_LIBRARIES ${NETCDF_LIBRARY} ${HDF5_HL_LIBRARY} ${HDF5_LIBRARY} ${ZLIB_LIBRARY} ${SZIP_LIBRARY})
-# Replace backslashes with forward slashes because it can cause problems with Windows' paths
-string(REPLACE "\\" "/" NETCDF_REQUIRED_LIBRARIES ${NETCDF_REQUIRED_LIBRARIES})
-set(CMAKE_REQUIRED_LIBRARIES ${NETCDF_REQUIRED_LIBRARIES})
+check_library_exists(${NETCDF_LIBRARY} nc_set_log_level "" has_nc_set_log_level)
+if (has_nc_set_log_level)
+  message("-- Found nc_set_log_level in: " ${NETCDF_LIBRARY})
+  add_definitions(-DHAVE_NC_SET_LOG_LEVEL)
+endif()
 
 check_library_exists(${NETCDF_LIBRARY} nc_rename_grp "" has_nc_rename_grp)
 if (has_nc_rename_grp)
@@ -173,14 +174,17 @@
 endif()
 
 #/////////////////////////////////////////////////////////////////////////////////////
-#netcdf_meta.h defines NC_VERSION_MAJOR NC_VERSION_MINOR NC_VERSION_PATCH 
-#NCO defines NC_LIB_VERSION ( NC_VERSION_MAJOR * 100 + NC_VERSION_MINOR * 10 + NC_VERSION_PATCH ) 
+# netcdf_meta.h defines NC_VERSION_MAJOR NC_VERSION_MINOR NC_VERSION_PATCH 
+# NCO defines NC_LIB_VERSION ( NC_VERSION_MAJOR * 100 + NC_VERSION_MINOR * 10 + NC_VERSION_PATCH ) 
 #/////////////////////////////////////////////////////////////////////////////////////
 
 find_path(path_netcdf_meta_h netcdf_meta.h PATHS ${NETCDF_INCLUDE})
 if(path_netcdf_meta_h)
   message("-- Found netcdf_meta.h in " ${path_netcdf_meta_h})
-  add_definitions(-DNC_HAVE_META_H)
+# 20211021: Do not re-#define NC_HAVE_META_H if file is found
+# NC_HAVE_META_H will always be defined in netcdf.h if necessary
+# Re-defining it can trigger "macro-redefined" warnings
+#  add_definitions(-DNC_HAVE_META_H)
 else()
   message("-- netcdf_meta.h was not found; defining NC_LIB_VERSION=360")
   add_definitions(-DNC_LIB_VERSION=360)
@@ -210,6 +214,11 @@
   add_definitions(-DHAVE_NC_INQ_FORMAT)
   add_definitions(-DHAVE_NETCDF_MEM_H)
 endif()
+
+set(NETCDF_REQUIRED_LIBRARIES ${NETCDF_LIBRARY} ${HDF5_HL_LIBRARY} ${HDF5_LIBRARY} ${ZLIB_LIBRARY} ${SZIP_LIBRARY})
+# Replace backslashes with forward slashes because it can cause problems with Windows' paths
+string(REPLACE "\\" "/" NETCDF_REQUIRED_LIBRARIES ${NETCDF_REQUIRED_LIBRARIES})
+set(CMAKE_REQUIRED_LIBRARIES ${NETCDF_REQUIRED_LIBRARIES})
 
 #/////////////////////////////////////////////////////////////////////////////////////
 #HDF5
@@ -294,15 +303,3 @@
 #this sets the include path to GSL_INCLUDE directly
 #and a PATHS hint for GSL_LIBRARY and GSL_CBLAS_LIBRARY
 #For this case find_library(GSL_LIBRARY/GSL_CBLAS_LIBRARY) MUST be called 2 times
-#First time it looks in GSL_LIBRARY_PATH if set, avoiding all other PATHS with NO_DEFAULT_PATH
-#//////////////////////////
-
-set(gsl_root "$ENV{GSL_ROOT}")
-if(gsl_root)
-  set(GSL_INCLUDE "${gsl_root}/include")
-  set(GSL_LIBRARY_PATH "${gsl_root}/lib")
-  set(GSL_CBLAS_LIBRARY_PATH "${gsl_root}/lib")
-  message("${color_blue}-- Using user defined GSL location: ${gsl_root}${color_reset}")
-  set(GSL_CONFIG_PATH ${gsl_root}/bin/gsl-config)
-endif(gsl_root)
-
