=== debian/changelog ===
nco (5.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Feb 2022 19:28:56 +0100

nco (5.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Jan 2022 19:21:31 +0100

nco (5.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 05 Dec 2021 07:55:05 +0100

nco (5.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Oct 2021 05:56:59 +0200

nco (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Sep 2021 06:32:22 +0200

nco (5.0.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 12:13:19 +0200

nco (5.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Jul 2021 05:56:48 +0200

nco (5.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop AC_CHECK_INCLUDES_DEFAULT.patch, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Jun 2021 06:32:38 +0200

nco (4.9.9-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add patch to fix FTBFS with autoconf < 2.70.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 May 2021 06:52:07 +0200

nco (4.9.8-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update watch file for GitHub URL changes.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Mar 2021 05:44:52 +0100
