=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                bison,
                flex,
                antlr,
@@ -16,7 +16,7 @@
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/nco
 Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.git
 Homepage: http://nco.sourceforge.net/
