=== debian/rules ===
--- 
+++ 
@@ -48,8 +48,5 @@
 	$(RM) debian/nco/usr/lib/nco/libnco.la
 	$(RM) debian/nco/usr/share/info/dir
 
-override_dh_install:
-	dh_install --list-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/nco
