=== bld/Makefile ===
--- 
+++ 
@@ -15,20 +15,16 @@
 
 # Machine build parameters
 #                         Source     Method   Packages Compiler
-# aerosol.ess.uci.edu: NCO          Configure All else GCC
+# AppVeyor CI        : NCO          CMake     All else MSVC
 # andes.olcf.ornl.gov: NCO          Makefile  All else GCC
-# AppVeyor CI        : NCO          CMake     All else MSVC
 # cheyenne.ucar.edu  : NCO          Makefile  All else Intel
-# cooley.alcf.anl.g  : NCO          Configure All else GCC
-# edison.nersc.gov   : NCO          Configure All else Intel
-# firn.ess.uci.edu   : NCO          Configure All else GCC
+# firn.ess.uci.edu   : NCO          Configure All else Intel
 # frazil.ess.uci.edu : NCO          Configure All else clang
 # glace.ess.uci.edu  : NCO          CMake     All else GCC
 # grele.ess.uci.edu  : NCO + netCDF Makefile  All else GCC
 # katabatic.ess.uci.e: NCO          CMake     All else clang
-# rhea.ccs.ornl.gov  : NCO          Makefile  All else GCC
-# skyglow.ess.uci.edu: NCO + netCDF Configure All else GCC
-# Travis CI          : NCO          Configure All else gcc,clang,g++
+# sastrugi.ess.uci.ed: NCO + netCDF Configure All else clang
+# spectral.ess.uci.ed: NCO          Configure All else clang
 
 # Usage (testing):
 # make tst                           # Vanilla regression test
@@ -238,3 +234,15 @@
 ifdef LIB_NCAR
  NETCDF_LIB := ${LIB_NCAR} # NCAR module path
 else # endelse LIB_NCAR
+ NETCDF_LIB := ${NETCDF_ROOT}/lib # Directory containing libnetcdf.a
+endif # endif LIB_NCAR
+endif # endif NETCDF_LIB
+ifndef ${OMP} # OpenMP
+ OMP := N
+endif # endif OMP
+ifndef OPTS
+ OPTS := D
+endif
+ifndef PGI_RCH_ARG
+ PGI_RCH_ARG :=
+endif # endif PGI_RCH_ARG
