=== debian/changelog ===
nco (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jul 2022 05:21:54 +0200

nco (5.0.7-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 May 2022 05:34:37 +0200
