=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/nco
 Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.git
 Homepage: http://nco.sourceforge.net/
