## nco 5.1.1

=== debian/changelog ===
nco (5.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Oct 2022 07:25:24 +0200
