## nco 5.1.2

=== debian/changelog ===
nco (5.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Nov 2022 08:13:13 +0100
