## nco 5.1.3

=== debian/changelog ===
nco (5.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 29 Nov 2022 05:25:48 +0100
