=== debian/changelog ===
nco (5.1.4-1+deb12u1) bookworm; urgency=medium

  * Update branch in gbp.conf & Vcs-Git URL.
  * Fix udunits2 support.
    (closes: #1043409)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Aug 2023 19:23:45 +0200

nco (5.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jan 2023 08:01:46 +0100
