=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                texinfo
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/nco
-Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.git -b bookworm
 Homepage: http://nco.sourceforge.net/
 Rules-Requires-Root: no
