=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,6 @@
 		--libdir=/usr/lib/nco \
 		--disable-nco_cplusplus \
 		--disable-static \
-		--disable-udunits \
 		--enable-dap \
 		--enable-gsl \
 		--enable-ncap2 \
