## nco 5.1.7

=== debian/changelog ===
nco (5.1.7-2) unstable; urgency=medium

  * Fix udunits2 support.
    (closes: #1043409)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Aug 2023 19:14:36 +0200

nco (5.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 13.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Jul 2023 05:35:42 +0200

nco (5.1.6-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 11:34:39 +0200

nco (5.1.6-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 13 May 2023 05:56:48 +0200

nco (5.1.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Mar 2023 05:38:42 +0100
