=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                bison,
                flex,
                antlr,
@@ -16,9 +16,9 @@
                libudunits2-dev,
                libdap-dev,
                texinfo
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/nco
-Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.git -b bookworm
+Vcs-Git: https://salsa.debian.org/debian-gis-team/nco.git
 Homepage: http://nco.sourceforge.net/
 Rules-Requires-Root: no
