## nco 5.1.9

=== debian/changelog ===
nco (5.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Nov 2023 12:15:52 +0100

nco (5.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Remove generated files in clean target.
    (closes: #1048067)
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 18 Sep 2023 05:39:26 +0200
