## nco 5.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # CMake build, Pedro Vicente
 
 #/////////////////////////////////////////////////////////////////////////////////////
-#mininum library dependencies: netCDF, HDF5, HDF5_HL, ZLIB (SZIP)
+# Mininum library dependencies: netCDF, HDF5, HDF5_HL, ZLIB (SZIP)
 #/////////////////////////////////////////////////////////////////////////////////////
 
 #-DNETCDF_INCLUDE:PATH=<some_path>
@@ -13,7 +13,7 @@
 #-DCURL_LIBRARY:FILE=<some_file>
 
 #/////////////////////////////////////////////////////////////////////////////////////
-#optional library dependencies (Antlr, UDUNITS, EXPAT, GSL)
+# Optional library dependencies (Antlr, UDUNITS, EXPAT, GSL)
 #/////////////////////////////////////////////////////////////////////////////////////
 
 #-DANTLR_INCLUDE:PATH=<some_path>
@@ -246,12 +246,12 @@
 endif()
 
 #//////////////////////////
-#HDF5 can be optionally linked with the SZIP library (Science Data Lossless Compression Program) and ZLIB
-#Symbol to detect in ZLIB can be only H5Z_DEFLATE, a structure only defined in H5Zdeflate.c if the filter is enabled
-#For SZIP the structure can be only H5Z_SZIP, defined in H5Zszip.c if the filter is enabled
-#check_library_exists() tries to link a temporary program with these symbols
-#On MSVC for this detection to work, the HDF5 library MUST HAVE as additional dependencies the ZLIB and SZIP libraries,
-#which is not a requirement for the library to build successfully
+# HDF5 can be optionally linked with the SZIP library (Science Data Lossless Compression Program) and ZLIB
+# Symbol to detect in ZLIB can be only H5Z_DEFLATE, a structure only defined in H5Zdeflate.c if the filter is enabled
+# For SZIP the structure can be only H5Z_SZIP, defined in H5Zszip.c if the filter is enabled
+# check_library_exists() tries to link a temporary program with these symbols
+# On MSVC for this detection to work, the HDF5 library MUST HAVE as additional dependencies the ZLIB and SZIP libraries,
+# which is not a requirement for the library to build successfully
 #//////////////////////////
 
 set(HDF5_REQUIRED_LIBRARIES ${HDF5_HL_LIBRARY} ${HDF5_LIBRARY} ${ZLIB_LIBRARY} ${SZIP_LIBRARY})
