=== debian/changelog ===
nco (5.2.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:01:37 +1100

nco (5.2.1-1build1) noble; urgency=high

  * No change rebuild against libnetcdf19t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:42:04 +0100

nco (5.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop shell-script-fails-syntax-check.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 19 Feb 2024 05:46:26 +0100

nco (5.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.
  * Add patch to fix shell syntax errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 17 Feb 2024 07:01:46 +0100
