## nco 5.2.6

=== debian/changelog ===
nco (5.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Jun 2024 06:07:02 +0200

nco (5.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix spelling errors.
  * Add patch to fix shell script syntax.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Jun 2024 06:03:26 +0200

nco (5.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 16 Apr 2024 05:43:05 +0200

nco (5.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 04 Apr 2024 05:53:25 +0200

nco (5.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Mar 2024 07:35:30 +0100
