## nco 5.2.7

=== debian/changelog ===
nco (5.2.7-1build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:49:26 +0200

nco (5.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jul 2024 19:58:24 +0200
