## nco 5.2.8

=== debian/changelog ===
nco (5.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Sep 2024 05:38:29 +0200
