## nco 5.2.9

=== debian/changelog ===
nco (5.2.9-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 19 Oct 2024 06:27:21 +0200
