## nco 5.3.0

=== debian/changelog ===
nco (5.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Dec 2024 02:27:42 +0100
