## nco 5.3.1

=== debian/changelog ===
nco (5.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 13 Jan 2025 05:50:19 +0100
